//----------------------------------------------------------------------------
// ObjectWindows - (C) Copyright 1991, 1993 by Borland International
//   Arty demo window object header
//----------------------------------------------------------------------------
#ifndef __ARTY_H
#define __ARTY_H

#include "artypriv.h"
#include "tscrnsav.h"

class TArtyWindow : public TScrnSavWindow {
  public:
	 TArtyWindow(TWindow* parent, const char* title, TModule* = 0);
	 ~TArtyWindow();

  protected:
	 void  AnimateScreen();
	 void  TimerTick();

	 char far* GetClassName(){ return "OWLArtyClass"; };
	 void GetWindowClass(WNDCLASS& wndClass);

  private:
	 TSize       ScreenSize;
	 TList*      List;
	 int         TextHeight;
};

#endif
